package com.njzscloud.supervisory.wxPay.service;

import com.njzscloud.supervisory.wxPay.param.TemplateMessageParam;
import org.springframework.scheduling.annotation.Async;

import java.util.Map;

/**
 * 微信消息推送服务接口
 */
public interface WechatTemplateMessageService {

    void bind(String code);

    Map<String, Object> key(String code);

    /**
     * 发送消息
     */
    @Async
    void sendTemplateMessage(TemplateMessageParam param);

}
